package cz.senslog.connector.fetch.alapans;

import cz.senslog.connector.model.alapans.LinkInfo;

import java.util.List;
import java.util.Map;

public class ResponseData {

    private List<Map<String, String>> items;
    private boolean hasMore;
    private int limit;
    private int offset;
    private int count;
    private List<LinkInfo> links;

    public List<Map<String, String>> getItems() {
        return items;
    }

    public void setItems(List<Map<String, String>> items) {
        this.items = items;
    }

    public boolean isHasMore() {
        return hasMore;
    }

    public void setHasMore(boolean hasMore) {
        this.hasMore = hasMore;
    }

    public int getLimit() {
        return limit;
    }

    public void setLimit(int limit) {
        this.limit = limit;
    }

    public int getOffset() {
        return offset;
    }

    public void setOffset(int offset) {
        this.offset = offset;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public List<LinkInfo> getLinks() {
        return links;
    }

    public void setLinks(List<LinkInfo> links) {
        this.links = links;
    }
}
